Remove a group member
curl --request DELETE \
--url https://api.notion.com/admin/v1/spaces/{space_id}/groups/{group_id}/members/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Notion-Version: <notion-version>'import requests
url = "https://api.notion.com/admin/v1/spaces/{space_id}/groups/{group_id}/members/users/{user_id}"
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Notion-Version': '<notion-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.notion.com/admin/v1/spaces/{space_id}/groups/{group_id}/members/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "group_membership",
"group_id": "<string>",
"member": {
"type": "user",
"user_id": "<string>"
},
"role": "owner"
}{
"object": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}{
"object": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}{
"object": "error",
"code": "restricted_resource",
"status": 403,
"message": "Forbidden."
}{
"object": "error",
"code": "object_not_found",
"status": 404,
"message": "Not found."
}{
"object": "error",
"code": "conflict_error",
"status": 409,
"message": "The request conflicts with the current resource state."
}{
"object": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}{
"object": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}{
"object": "error",
"code": "service_unavailable",
"status": 503,
"message": "Service temporarily unavailable."
}Permission groups
Remove a group member
Remove a direct user member from an admin-managed permission group.
DELETE
/
v1
/
spaces
/
{space_id}
/
groups
/
{group_id}
/
members
/
users
/
{user_id}
Remove a group member
The organization bot token must have the following scopes:
permission-group:write
409 conflict_error.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Path Parameters
The ID of the group.
The ID of the user.
⌘I